stages:
  - build

build:ort:
  stage: build
  image: docker:stable
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
  services:
    - docker:stable-dind
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - cd ort
    - docker build --tag $CI_REGISTRY_IMAGE/ort:latest -f ./Dockerfile .
    - docker push $CI_REGISTRY_IMAGE/ort:latest
  tags: [gitlab-org-docker]
  variables:
    DOCKER_BUILDKIT: '1'
    DOCKER_DRIVER: overlay2
    GIT_DEPTH: "1"
    GIT_STRATEGY: fetch
    GIT_SUBMODULE_STRATEGY: "recursive"
